using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;


namespace VolleyballGame
{
    public class Ball : DrawableGameComponent
    {

        private Vector2 position = new Vector2(300, 300);
        private Texture2D texture;

        public Ball(Game game)
            : base(game)
        {
        }

        protected override void LoadContent()
        {
            texture = Game.Content.Load<Texture2D>("ball");
            base.LoadContent();
        }

        public override void Update(GameTime gameTime)
        {
            base.Update(gameTime);
        }

        public override void Draw(GameTime gameTime)
        {
            SpriteBatch spriteBatch = (SpriteBatch)Game.Services.GetService(typeof(SpriteBatch));
            spriteBatch.Draw(texture, position, Color.White);

            base.Draw(gameTime);
        }

        protected override void UnloadContent()
        {
            texture.Dispose();
            base.UnloadContent();
        }
    }
}