using System;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;


namespace VolleyballGame
{
    public class Player : Microsoft.Xna.Framework.DrawableGameComponent
    {
        private Texture2D texture;

        private Vector2 position = new Vector2(100, 100);

        public Player(Game game)
            : base(game)
        {
        }

        protected override void LoadContent()
        {
            texture = Game.Content.Load<Texture2D>("player");
        }

        public override void Update(GameTime gameTime)
        {
            if (Keyboard.GetState().IsKeyDown(Keys.W))
                position += new Vector2(0, -4);

            if (Keyboard.GetState().IsKeyDown(Keys.S))
                position += new Vector2(0, 4);

            if (Keyboard.GetState().IsKeyDown(Keys.A))
                position += new Vector2(-4, 0);

            if (Keyboard.GetState().IsKeyDown(Keys.D))
                position += new Vector2(4, 0);

            base.Update(gameTime);
        }

        public override void Draw(GameTime gameTime)
        {
            SpriteBatch spriteBatch =
                (SpriteBatch)Game.Services.GetService(typeof(SpriteBatch));

            spriteBatch.Draw(texture, position, Color.White);
        }

        protected override void UnloadContent()
        {
            texture.Dispose();
        }
    }
}